#!/bin/sh
# generate new version.h

if [ $# -lt 2 ]
	then
	echo "usage: `basename $0` <major> <minor> [<extra>]"
	exit 1
fi

maj=`printf "%u" $1` || exit 1
min=`printf "%u" $2` || exit 1
shift 2
ext="$@"

str="${maj}.${min}"
if [ -n "${ext}" ]
	then
	str="${str}-${ext}"
fi
now=`TZ=UTC date "+%Y-%m-%d"` || exit 1

cat>"version.h"<<EOF
#ifndef VERSION_H
#define VERSION_H

#define VERSION_MAJOR ${maj}
#define VERSION_MINOR ${min}
#define VERSION_EXTRA_STR "${ext}"
#define VERSION_STR "${str}"
#define VERSION_DATE  "${now}"

#endif
EOF

